import java.util.*;
import java.text.*;

public class F5_exempel3{
  List<Figur> lista;

  public F5_exempel3(){
    lista = new ArrayList<Figur>();
    initiera();
    skrivUtTotalYta();
  }

  public void initiera(){
    lista.add(new Cirkel(4, "orange"));
    lista.add(new Triangel(5, 1,"gul"));
    lista.add(new Rektangel(6, 4,"vit"));
    lista.add(2, new Cirkel(7, "magenta")); 
  }

  public void skrivUtTotalYta(){
    double totalYta = 0;
    for(Figur figur : lista) {
       totalYta += figur.visaArea();
    } 

    String mnster = "##.###";
    DecimalFormat df = new DecimalFormat(mnster);
    String yta  = df.format(totalYta);
    System.out.println("Total yta: " + yta + " ytenheter"); 
    System.out.println("****************************");
    System.out.println();

    //traversera listan bakifrn och skriv ut figurernas frger
    for (ListIterator<Figur> i = lista.listIterator(lista.size()); i.hasPrevious(); ) {
       Figur figur = i.previous();
       System.out.println(figur.visaFrg());
    }
   
       
  }

    

  public static void main(String[] args){
    new F5_exempel3();         
  }

}